% A simple cycle
% Author : Jerome Tremblay
\documentclass{article}
\usepackage{tikz}
%%%<
\usepackage{verbatim}
\usepackage{verbatim}
\usepackage[active,tightpage]{preview}
\PreviewEnvironment{tikzpicture}
\setlength\PreviewBorder{5pt}%
%%%>

\begin{document}
\begin{tikzpicture}
% graph
\def \n {5}
\def \radius {3cm}

\foreach \s in {1,...,\n} {
	\node[draw, circle] (\s) at ({360/\n * (\s+1)+90}:\radius) {$\s$};
}

\draw[line width=2pt, red] (1) to (3);
\draw[line width=2pt, red] (1) to (4);
\draw[line width=2pt, red] (1) to (5);
\draw[line width=2pt, red] (2) to (3);


\draw (2) to (4);
\draw (2) to (5);
\draw[line width=2pt, blue, dashed] (1) to (5);
\draw[line width=2pt, blue, dashed] (2) to (3);
\draw[line width=2pt, blue, dashed] (2) to (4);
\draw[line width=2pt, blue, dashed] (2) to (5);

\end{tikzpicture}


\end{document}



